light-mode-image
Learn
API ReferenceMembers

Retrieve a tenant member

Analytics Events

TENANT_MEMBER_RETRIEVE_STARTTENANT_MEMBER_RETRIEVE_SUCCESSTENANT_MEMBER_RETRIEVE_FAIL
GET/v1/tenants/{tenantId}/members/{userId}

Retrieves an existing user that has access to the tenant.

Analytic events

  • TENANT_MEMBER_RETRIEVE_START
  • TENANT_MEMBER_RETRIEVE_SUCCESS
  • TENANT_MEMBER_RETRIEVE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

tenantId*string

Identifier of the tenant.

Formatuuid
userId*string

Identifier of the user.

Formatuuid

Response Body

application/json

application/json

text/plain

curl -X GET "https://example.com/v1/tenants/543e0579-87b9-4705-be78-8f7f54709838/members/818f7564-49cb-4003-b041-37aec302e2c9"
{  "id": "string",  "email": "string",  "name": "string",  "status": "Pending",  "roles": [    "string"  ],  "permissions": [    "string"  ],  "inviteExpiresAt": "2019-08-24T14:15:22Z",  "isSSO": true,  "isLocalLogin": true,  "isMfaEnabled": true,  "lastLoginAt": "2019-08-24T14:15:22Z"}

How would you rate this page?